Upgrade from 4.3.6 Failing

Discussion in 'Troubleshooting' started by superfactory, Oct 23, 2015.

  1. superfactory

    superfactory aMember Pro Customer

    Joined:
    Jan 17, 2009
    Messages:
    9
    I have tried upgrading both from the admin interface as well as copying the files over from FTP. Both fail, but in slightly different ways.

    Upgrade from admin:
    I get the following error after clicking on upgrade:
    Invalid argument: $pages must be an array, an instance of Zend_Config or an instance of Zend_Navigation_Container

    Upgrade from FTP:
    We don't install amember in the default directory, but I'll list the default path anyways for the purposes of the forum.
    I attempt to go to /amember/admin-upgrade-db after copying over the files and it gives me an error with a link to the configuration page. Clicking on the link just loops over and over. Even when attempting to launch the script from the setup directory it still fails.

    I am using PHP 5.4.45 and MySQL 5.6.23
  2. caesar

    caesar aMember Pro Developer Staff Member

    Joined:
    Oct 16, 2009
    Messages:
    1,689
    PHP and MySQL version is ok.

    Did you remove your original files?

    You need to restore your files and upload upgrade kit above your existing files (with files overwrite). Please note you do not need overwrite folders, only files.

    Upgrade kit have only files that was changes between your version and latest one.
  3. superfactory

    superfactory aMember Pro Customer

    Joined:
    Jan 17, 2009
    Messages:
    9
    No I did not remove my original files. I copied over them via FTP just as the upgrade kit instructions told me. Following the upgrade kit method I get stuck in a "configuration" loop and the upgrade script never runs.
  4. caesar

    caesar aMember Pro Developer Staff Member

    Joined:
    Oct 16, 2009
    Messages:
    1,689

Share This Page